Creates a databricks subclient
This API is used to create Databricks subclient
- application/json
Request Body
subClientProperties object
fsContentOperationType stringPossible value : OVERWRITE
subClientEntity object
clientId integer requiredDatabricks Client ID
applicationId integer requiredDatabricks application ID
subclientName string requiredName of the subclient to be created
instanceId integer requiredDatabricks instance ID
backupsetId integer requiredDatabricks backupset ID
planEntity object
id integer requiredID of the plan to be associated
content object[]
path string requiredContent to be associated
useLocalContent booleandfsSubclientProp object
distributedDataAccessNodes object
dataAccessNodes object[]
clientName string requiredName of the access node
_type_ integertype : 3 for access nodes
clientId integerID of the access node
dataAccessNodeGroups object[]
_type_ integertype : 28 for access node groups
clientGroupId integerID of the access node group
clientGroupName string requiredName of the access node group
Responses
- 200
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integer_SubclType_ integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"_SubclType_": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 1394,
"_SubclType_": 0,
"_type_": 0
}
}
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Loading...